<?php

namespace Openguru\OpenCartFramework\Validator;

interface ValidatorInterface
{
    public function make(array $input, array $rules, array $fieldNames = []): ValidatorInterface;

    /**
     * @throws ValidationRuleNotFoundException
     */
    public function fails(): bool;

    public function getErrors(): ErrorBag;
}
